SoScriptEngine(3)

NAME
SoScriptEngine

SYNOPSIS

Inherited by SoJavaScriptEngine.

  Public Member Functions
virtual SbBool executeScript (const SbName &name, const SbString &script) const =0
virtual SbBool executeFile (const SbName &filename) const =0
virtual SbBool executeFunction (const SbName &name, int argc, const SoField *argv, SoField *rval=NULL) const =0
virtual SbBool setScriptField (const SbName &name, const SoField *f) const =0
virtual SbBool getScriptField (const SbName &name, SoField *f) const =0
virtual SbBool unsetScriptField (const SbName &name) const =0
virtual SbBool hasScriptField (const SbName &name) const =0

Author

Generated automatically by Doxygen for Coin from the source code.